2024-04-25 18:04 AEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000568mercuryBugpublic2023-12-05 13:42
Reporterwangp 
Assigned Tozs 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000568: nested sub-modules broken in mmc --make
Descriptionmmc --make fails to make programs making using of nested sub-modules.

The problem first appears with commit 764eab72a "Stop using module_dep_infos in computing filenames."

% mmc --make nested_module_test
** dependencies for `Mercury/int3s/nested_module_test.int3' do not exist: nested_module_test.sub.m
** This indicates a bug in `mmc --make'.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001228

zs (developer)

Fix committed 2023 dec 5.
+Notes

-Issue History
Date Modified Username Field Change
2023-12-04 10:35 wangp New Issue
2023-12-04 10:35 wangp File Added: nested_module_test.m
2023-12-05 12:14 zs Assigned To => zs
2023-12-05 12:14 zs Status new => assigned
2023-12-05 13:42 zs Status assigned => resolved
2023-12-05 13:42 zs Resolution open => fixed
2023-12-05 13:42 zs Note Added: 0001228
+Issue History